Emulators for onePK 1.0

Document created by cdnadmin on Jan 25, 2014
Version 1Show Document
  • View in full screen mode

Subject: RE: Emulators for onePK 1.0
Replied by: Raghavendra Gutty Veeranagappa on 04-09-2013 05:41:40 AM
Hi Michael,

please try to disable version checking with below commands.
config t
  service internal
  end
test onep version disable

Thanks,
Raghavendra
This document was generated from CDN thread

Created by: Michael Shevenell on 04-09-2013 05:25:26 AM
   I downloaded and installed the all in one VMWare image about 6 weeks ago. This was the version that had 0.7.0 support built in. I've since upgraded the onePK developer's kit on that image to 1.0
  I was able to successfully build the 1.0 samples / tutorials. But the new 1.0 tutorials don't run against the emulators from 0.7.0. I'm using the command:
      java com.cisco.onep.tutorials.element.NetworkElementTutorial -a 10.10.10.110 -u cisco -p cisco -transport tcp
 
At the client (tutorial) I get this error message:
 
76  INFO com.cisco.onep.tutorials.element.NetworkElementTutorial - We have a NetworkElement -NetworkElement [ 10.10.10.110 ]
 
611  ERROR com.cisco.onep.element.NetworkElement - IDL Exception: ExceptionIDL(code:2, text:NE Version:0.7.0 Client (NetworkElementTutorial) Version: 1.0.0, context:0)
612  ERROR com.cisco.onep.element.NetworkElement - Could not connect to NetworkElement: com.cisco.onep.core.exception.OnepConnectionException: Error occurred in the operation. Failed to connect to the network element or the session is closed. null
625  ERROR com.cisco.onep.tutorials.element.NetworkElementTutorial - Error occurred in the operation. Failed to connect to the network element or the session is closed. null
 
I get the following error message at the network element console:
 
*Sep  4 00:08:23.021: %ONEP_BASE-3-VERSION_ERR: : ONE-P version incompatible between client and network element.NE Version:0.7.0 Client (NetworkElementTutorial) Version: 1.0.0
 
The emulated router shows:
Router1#show onep status
Status: enabled
Version: 0.7.0
Transport: socket; Status: running; Port: 15001
Transport: tls; Status: disabled
Transport: tipc; Status: disabled
 
A few questions:
1. Can I disable the version checking somewhere to permit the 1.0 tutorials to run against the 0.7 emulators.
2. Or can I reconfigure the emulators to be 1.0 compliant (or at least claim they are 1.0 compliant)
3. Or lastly, how might the emulator image be upgraded to be onePK 1.0 compliant)
 
Since this is a test environment I'm looking for the most quickest approach resolve this - and am willing to tolerate it if "some things" are broken by a quick hack just to get this working

Subject: RE: New Message from Raghavendra Gutty Veeranagappa in onePK Developer - Em
Replied by: Michael Shevenell on 04-09-2013 06:00:07 AM
Thanks for the prompt reply. Sadly, I get the same results on both the emulator and client (tutorial). Does the emulator need to be restarted or some other step ?

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 6:42 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Raghavendra Gutty Veeranagappa in onePK Developer - Emulator installation: RE: Emulators for onePK 1.0

Raghavendra Gutty Veeranagappa has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Hi Michael,

please try to disable version checking with below commands.
config t
  service internal
  end
test onep version disable

Thanks,
Raghavendra
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18907900 or simply reply to this email.

Subject: RE: New Message from Michael Shevenell in onePK Developer - Emulator instal
Replied by: Zach Seils on 04-09-2013 08:06:07 AM
Hi Michael,

Version 1.0.0 of the SDK IOS version 15.3(3)M or later.  We are working on an updated all-in-one VM that includes this version.  In the meantime, is it possible for you to test with physical ISR-G2 routers?

Thanks,
Zach


From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 7:00 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Michael Shevenell in onePK Developer - Emulator installation: RE: New Message from Raghavendra Gutty Veeranagappa in onePK Developer - Em

Michael Shevenell has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Thanks for the prompt reply. Sadly, I get the same results on both the emulator and client (tutorial). Does the emulator need to be restarted or some other step ?

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 6:42 AM
To: cdicuser@developer.cisco.com<mailto:cdicuser@developer.cisco.com>
Subject: New Message from Raghavendra Gutty Veeranagappa in onePK Developer - Emulator installation: RE: Emulators for onePK 1.0

Raghavendra Gutty Veeranagappa has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Hi Michael,

please try to disable version checking with below commands.
config t
service internal
end
test onep version disable

Thanks,
Raghavendra
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18907900 or simply reply to this email.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18909732 or simply reply to this email.

Subject: RE: New Message from Zach Seils in onePK Developer - Emulator installation:
Replied by: Michael Shevenell on 04-09-2013 08:22:07 AM
Sadly not, that is why I'm using the emulator in the first place - because we don't have ISR-G2 routers in our lab. Our 0.7 emulators identify themselves as:
                (vios-ADVENTERPRISEK9-M) Version 15.3(1.2.31)PI21

Any workarounds we can use in the mean time?

Also, one shouldn't need a full "all-in-one" re-install. I think we could just put the update IOS image in:
                /usr/share/vmcloud/data/images
Currently this directory has:
                vios-adventerprisek9-m.ova.SSA.152-1.2.31.PI21
                vios-adventerprisek9-m.ova.SSA.152-1.2.49.PI21
                vios.ova  a link which points to vios-adventerprisek9-m.ova.SSA.152-1.2.31.PI21

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 9:06 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Zach Seils in onePK Developer - Emulator installation: RE: New Message from Michael Shevenell in onePK Developer - Emulator instal

Zach Seils has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Hi Michael,

Version 1.0.0 of the SDK IOS version 15.3(3)M or later. We are working on an updated all-in-one VM that includes this version. In the meantime, is it possible for you to test with physical ISR-G2 routers?

Thanks,
Zach


From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 7:00 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Michael Shevenell in onePK Developer - Emulator installation: RE: New Message from Raghavendra Gutty Veeranagappa in onePK Developer - Em

Michael Shevenell has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Thanks for the prompt reply. Sadly, I get the same results on both the emulator and client (tutorial). Does the emulator need to be restarted or some other step ?

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 6:42 AM
To: cdicuser@developer.cisco.com<mailto:cdicuser@developer.cisco.com>
Subject: New Message from Raghavendra Gutty Veeranagappa in onePK Developer - Emulator installation: RE: Emulators for onePK 1.0

Raghavendra Gutty Veeranagappa has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Hi Michael,

please try to disable version checking with below commands.
config t
service internal
end
test onep version disable

Thanks,
Raghavendra
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18907900 or simply reply to this email.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18909732 or simply reply to this email.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18912972 or simply reply to this email.

Subject: RE: Emulators for onePK 1.0
Replied by: Joseph Clarke on 04-09-2013 10:29:06 AM
Michael, where did you get the AIO VM that you have?  The EFT VM included 0.6 SDK code along with an IOL image.  It did not use vmcloud and vIOS.  That said, yes, you can replace the image, but we have updated more than just the image in the VM.  We have a new release of vmcloud along with some other niceties that make development and use easier.

That said, there is no workaround for major version differences.  The API has changed in such a way that even if the check was disabled, some things would just not work.

Subject: RE: New Message from Joseph Clarke in onePK Developer - Emulator installati
Replied by: Michael Shevenell on 04-09-2013 11:47:25 AM
Greetings Joseph,
  We joined the Developer's Network in July and I was given a link to download:

                                onepk-all-in-one-CA-20130619.ova
on July 25th from Cisco Staff.
  Can we try replacing the vIOS image. I need to get "something" working very soon. I'm understand the liabilities that some things may break and agree to take on those risks in the near term.

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 11:29 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Joseph Clarke in onePK Developer - Emulator installation: RE: Emulators for onePK 1.0

Joseph Clarke has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Michael, where did you get the AIO VM that you have?  The EFT VM included 0.6 SDK code along with an IOL image.  It did not use vmcloud and vIOS.  That said, yes, you can replace the image, but we have updated more than just the image in the VM.  We have a new release of vmcloud along with some other niceties that make development and use easier.

That said, there is no workaround for major version differences.  The API has changed in such a way that even if the check was disabled, some things would just not work.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18917716 or simply reply to this email.

Subject: RE: New Message from Michael Shevenell in onePK Developer - Emulator instal
Replied by: John Voss on 04-09-2013 11:53:25 AM
Michael,

We do not support updating vIOS in place in the All-in-one VM at this point in time.

The only option is to provide you with a new 1.0 All-in-one VM with the updated vIOS image pre-installed.

At this point in time All-in-one VM images can only be made available under a Cisco Beta agreement.  We will follow up with you directly to verify the status of your Beta agreement and determine if we can make the 1.0 All-in-one VM available to you.

Best Regards,

John

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 9:47 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Michael Shevenell in onePK Developer - Emulator installation: RE: New Message from Joseph Clarke in onePK Developer - Emulator installati

Michael Shevenell has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Greetings Joseph,
We joined the Developer's Network in July and I was given a link to download:

onepk-all-in-one-CA-20130619.ova
on July 25th from Cisco Staff.
Can we try replacing the vIOS image. I need to get "something" working very soon. I'm understand the liabilities that some things may break and agree to take on those risks in the near term.

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 11:29 AM
To: cdicuser@developer.cisco.com<mailto:cdicuser@developer.cisco.com>
Subject: New Message from Joseph Clarke in onePK Developer - Emulator installation: RE: Emulators for onePK 1.0

Joseph Clarke has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Michael, where did you get the AIO VM that you have? The EFT VM included 0.6 SDK code along with an IOL image. It did not use vmcloud and vIOS. That said, yes, you can replace the image, but we have updated more than just the image in the VM. We have a new release of vmcloud along with some other niceties that make development and use easier.

That said, there is no workaround for major version differences. The API has changed in such a way that even if the check was disabled, some things would just not work.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18917716 or simply reply to this email.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18918994 or simply reply to this email.

Subject: RE: Emulators for onePK 1.0
Replied by: Michael Shevenell on 05-09-2013 07:02:34 AM
Thanks updating the vios image to:
  vios-adventerprisek9-m.ova.SPA.153-2.25.M0.11.InternalUseOnly
works and the 1.0 tutorials are now able to connect to the emulators successfully

Subject: RE: New Message from Michael Shevenell in onePK Developer - Emulator instal
Replied by: Usman Khan on 08-09-2013 01:21:43 PM
hi John,

Can you kindly provide me with the All-in-one VM images as i'm unable to find a link to download them on the cisco website.

thanx

Regards,
Usman

[quote=
John Voss]Michael,

We do not support updating vIOS in place in the All-in-one VM at this point in time.

The only option is to provide you with a new 1.0 All-in-one VM with the updated vIOS image pre-installed.

At this point in time All-in-one VM images can only be made available under a Cisco Beta agreement.  We will follow up with you directly to verify the status of your Beta agreement and determine if we can make the 1.0 All-in-one VM available to you.

Best Regards,

John

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 9:47 AM
To: cdicuser@developer.cisco.com
Subject: New Message from Michael Shevenell in onePK Developer - Emulator installation: RE: New Message from Joseph Clarke in onePK Developer - Emulator installati

Michael Shevenell has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Greetings Joseph,
We joined the Developer's Network in July and I was given a link to download:

onepk-all-in-one-CA-20130619.ova
on July 25th from Cisco Staff.
Can we try replacing the vIOS image. I need to get "something" working very soon. I'm understand the liabilities that some things may break and agree to take on those risks in the near term.

From: Cisco Developer Community Forums [mailto:cdicuser@developer.cisco.com]
Sent: Wednesday, September 04, 2013 11:29 AM
To: cdicuser@developer.cisco.com<mailto:cdicuser@developer.cisco.com>
Subject: New Message from Joseph Clarke in onePK Developer - Emulator installation: RE: Emulators for onePK 1.0

Joseph Clarke has created a new message in the forum "Emulator installation": -------------------------------------------------------------- Michael, where did you get the AIO VM that you have? The EFT VM included 0.6 SDK code along with an IOL image. It did not use vmcloud and vIOS. That said, yes, you can replace the image, but we have updated more than just the image in the VM. We have a new release of vmcloud along with some other niceties that make development and use easier.

That said, there is no workaround for major version differences. The API has changed in such a way that even if the check was disabled, some things would just not work.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18917716 or simply reply to this email.
--
To respond to this post, please click the following link: http://developer.cisco.com/web/onepk-developer/forum/-/message_boards/view_message/18918994 or simply reply to this email.

Subject: RE: Emulators for onePK 1.0
Replied by: John Voss on 09-09-2013 01:40:13 PM
Hi Usman,

The All-in-one VM is only available currently under a valid Cisco Beta/EFT Agreement.  Please either contact me directly or send an e-mail to onepk-eft@cisco.com to request access to the All-in-one VM under the Beta program.

Best Regards,

John

Subject: RE: Emulators for onePK 1.0
Replied by: Usman Khan on 09-09-2013 04:30:15 PM
Hi John, thanks for the quick reply. I have alraedy sent an email to the alias you mentioned. Can you please send me your email address as well so that I can contact you in case I didn't hear back from the alias?
Thanks.

Attachments

    Outcomes